classification
Title: test_xpickle fails on Windows: invokes pythonx.y instead of pythonxy
Type: behavior Stage:
Components: Tests, Windows Versions: Python 2.7
process
Status: closed Resolution: works for me
Dependencies: Superseder:
Assigned To: Nosy List: alexandre.vassalotti, collinwinter, georg.brandl, pitrou, srid
Priority: normal Keywords:

Created on 2010-08-24 16:41 by srid, last changed 2013-03-28 10:52 by georg.brandl. This issue is now closed.

Messages (4)
msg114798 - (view) Author: Sridhar Ratnakumar (srid) Date: 2010-08-24 16:41
test_xpickle
'python2.4' is not recognized as an internal or external command,
operable program or batch file.
'python2.5' is not recognized as an internal or external command,
operable program or batch file.
'python2.6' is not recognized as an internal or external command,
operable program or batch file.

On Windows, that should be python24.exe (not python2.4.exe).
msg114799 - (view) Author: Sridhar Ratnakumar (srid) Date: 2010-08-24 16:44
> On Windows, that should be python24.exe (not python2.4.exe).

Hmm, that is only true for ActivePython. For detecting Python interpreters installed on the system, a simple approach could be to hardcode the full paths, as done by tox: http://code.google.com/p/pytox/source/browse/tox/_venv.py#242
msg115113 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-08-27 18:35
This is not a failure, it just indicates that the tests get skipped.
While I agree that ideally the tests should be able to run on all systems, it should also be noted that the pickle protocols are (supposed to be) platform-agnostic and, therefore, it is not mandatory to run cross-compatibility tests on all platforms.
msg185433 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2013-03-28 10:52
Closing for reasons Antoine stated.
History
Date User Action Args
2013-03-28 10:52:47georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg185433

resolution: works for me
2010-08-27 18:35:53pitrousetnosy: + collinwinter
messages: + msg115113
2010-08-27 18:29:58terry.reedysetnosy: + pitrou, alexandre.vassalotti
2010-08-24 16:44:08sridsetmessages: + msg114799
2010-08-24 16:41:47sridcreate